Bug 260475 - dns/py-dnspython: Update to 2.1.0 for Python 3
Summary: dns/py-dnspython: Update to 2.1.0 for Python 3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yasuhiro Kimura
URL: https://github.com/rthalley/dnspython...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-12-16 16:14 UTC by Yasuhiro Kimura
Modified: 2022-01-19 06:49 UTC (History)
1 user (show)

See Also:
yasu: maintainer-feedback-


Attachments
Patch file (1.80 KB, patch)
2021-12-16 16:14 UTC, Yasuhiro Kimura
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro Kimura freebsd_committer 2021-12-16 16:14:18 UTC
Created attachment 230179 [details]
Patch file

While updating this port to 2.1.0 fixes runtime error "AttributeError: module 'base64' has no attribute 'decodestring'" with python 3.9 or later, it isn't compatible with Python 2.7. So update to 2.1.0 only for Python 3.

ChangeLog:      https://github.com/rthalley/dnspython/blob/v2.1.0/doc/whatsnew.rst
Comment 1 Yasuhiro Kimura freebsd_committer 2022-01-19 06:33:08 UTC
Maintainer timeout (> 1 month). Take.
Comment 2 commit-hook freebsd_committer 2022-01-19 06:37:44 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=7fc16dab8458ce6df36c53fd1139da2475c57d1d

commit 7fc16dab8458ce6df36c53fd1139da2475c57d1d
Author:     Yasuhiro Kimura <yasu@FreeBSD.org>
AuthorDate: 2020-10-23 20:41:56 +0000
Commit:     Yasuhiro Kimura <yasu@FreeBSD.org>
CommitDate: 2022-01-19 06:36:06 +0000

    dns/py-dnspython: Update to 2.1.0 for Python 3

    While updating this port to 2.1.0 fixes runtime error "AttributeError:
    module 'base64' has no attribute 'decodestring'" with python 3.9 or
    later, it isn't compatible with Python 2.7. So update to 2.1.0 only
    for Python 3.

    ChangeLog:      https://github.com/rthalley/dnspython/blob/v2.1.0/doc/whatsnew.rst
    PR:             260475
    Approved by:    maintainer timeout (> 1 month)

 dns/py-dnspython/Makefile | 8 +++++++-
 dns/py-dnspython/distinfo | 4 +++-
 2 files changed, 10 insertions(+), 2 deletions(-)